Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 144817 - evolution on x86_64 crashes when connecting to an exchange server
Summary: evolution on x86_64 crashes when connecting to an exchange server
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: evolution-connector
Version: 3.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard: RHEL3U7NAK
Depends On:
Blocks: 174536 RHEL3U8CanFix
TreeView+ depends on / blocked
 
Reported: 2005-01-11 18:54 UTC by Ralph Smith
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: RHBA-2006-0367
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-20 14:24:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0367 normal SHIPPED_LIVE evolution-connector bug fix update 2006-07-19 18:25:00 UTC

Description Ralph Smith 2005-01-11 18:54:25 UTC
Description of problem:
evolution on x86_64 or intel EM64T crashes when doing transactions
with an Exchange server

Version-Release number of selected component (if applicable):
evolution-1.4.5-9
evolution-connector-1.4.7-5

How reproducible:
every time on specific system

Steps to Reproduce:
1. start up evolution
2. configure a mail folder for an existing account on an exchange server
3. click on the folder to initiate transaction
4. enter valid password in dialog box
  
Actual results:
crash message box

Expected results:
expanded list of folders on exchange server

Additional info:
You need to rebuild evolution using a newer version of binutils. 
(x86_64 relocation tables in shared libs are unreliable with the old
one.)  Also change "unsigned long" to guint32 in
ximian-exchange/camel/camel-stub.c

Comment 3 Dave Malcolm 2005-02-28 20:17:49 UTC
Thanks for this bug report.  I've gone through the uses of
CAMEL_STUB_ARG_UINT32 in the code and confirmed that it is actually
working on 32-bit values.

I'm applying a patch to fix the usage of unsigned long; I am trying to
get a fixed version into the next quarterly update.

Comment 16 Red Hat Bugzilla 2006-07-20 14:24:53 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0367.html



Note You need to log in before you can comment on or make changes to this bug.